import { createClient } from "@parlayx/sdk";
const client = createClient({ apiKey: process.env.PARLAYX_API_KEY! });
const rebalance = await client.getRebalance("3f8b2c9a-2d18-4f7e-9c2a-1b6e1f0c8a4d");
console.log(rebalance.status, rebalance.sourceVenue, rebalance.destinationVenue, rebalance.amount);curl --request GET \
--url https://api.parlayx.com/v1/rebalances/{rebalanceId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.parlayx.com/v1/rebalances/{rebalanceId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.parlayx.com/v1/rebalances/{rebalanceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rebalanceId": "3f8b2c9a-2d18-4f7e-9c2a-1b6e1f0c8a4d",
"sourceVenue": "polymarket",
"destinationVenue": "polymarket",
"amount": 25,
"status": "completed",
"error": {
"message": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"message": "<string>"
}
}{
"message": "Forbidden"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Get Rebalance
Fetches a rebalance by its issued rebalanceId.
import { createClient } from "@parlayx/sdk";
const client = createClient({ apiKey: process.env.PARLAYX_API_KEY! });
const rebalance = await client.getRebalance("3f8b2c9a-2d18-4f7e-9c2a-1b6e1f0c8a4d");
console.log(rebalance.status, rebalance.sourceVenue, rebalance.destinationVenue, rebalance.amount);Authorizations
Path Parameters
Issued rebalanceId.
"3f8b2c9a-2d18-4f7e-9c2a-1b6e1f0c8a4d"
Response
Rebalance found
Issued rebalanceId. Stable handle for status lookups.
"3f8b2c9a-2d18-4f7e-9c2a-1b6e1f0c8a4d"
Venue whose resting form funds the move. polymarket: pUSD on Polygon. limitless: USDC on Base.
polymarket, limitless, predict_fun "polymarket"
Venue the funds were moved into spendable form at.
polymarket, limitless, predict_fun "polymarket"
Amount moved, in USDC — the amount that must land spendable at the destination venue.
25
Rebalance lifecycle. pending: accepted, not yet started. processing: converting and/or bridging funds from the source venue into the destination venue's spendable form. completed: the amount landed at the destination. failed: terminal — funds were not moved (no funds are lost).
pending, processing, completed, failed "completed"
Why the rebalance failed when status is failed; null otherwise.
Show child attributes
Show child attributes
ISO-8601 time the rebalance was created.
ISO-8601 time the rebalance was last updated.